Package twisted :: Package web :: Module client :: Class HTTPClientFactory |
[frames | no frames]

## Class HTTPClientFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   HTTPClientFactory

Known Subclasses:
  `HTTPDownloader`

Download a given URL.

Method Summary
| `__init__(self, url, method, postdata, headers, agent, timeout, cookies)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| `clientConnectionFailed(self, _, reason)`
| `gotHeaders(self, headers)`
| `gotStatus(self, version, status, message)`
| `noPage(self, reason)`
| `page(self, page)`
| `setURL(self, url)`
Inherited from ClientFactory
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Instance Variable Summary
Deferred | `deferred`: A Deferred that will fire when the content has been retrieved.
str | `message`: The text message returned with the status.
dict | `response_headers`: The headers that were specified in the response from the server.
str | `status`: The status of the response.
str | `version`: The version of the response.

Class Variable Summary
`str` | `host` = `''`
`NoneType` | `path` = None
`NoneType` | `port` = None
`class` | `protocol` = `twisted.web.client.HTTPPageGetter`
`NoneType` | `scheme` = None
`NoneType` | `url` = None
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr) Create an instance of a subclass of Protocol. The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory. Override this method to alter how Protocol instances get created. Overrides: `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Instance Variable Details

### deferred A Deferred that will fire when the content has been retrieved. Once this is fired, the ivars `status', `version', and `message' will be set. Type: Deferred

### message The text message returned with the status. Type: str

### response_headers The headers that were specified in the response from the server. Type: dict

### status The status of the response. Type: str

### version The version of the response. Type: str

Class Variable Details

    ### host Type: `str` Value:
        ''

    ### path Type: `NoneType` Value:
        None

    ### port Type: `NoneType` Value:
        None

    ### scheme Type: `NoneType` Value:
        None

    ### url Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net